Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Class JUnitTest

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.junit.BaseTest
            |
            +--org.apache.tools.ant.taskdefs.optional.junit.JUnitTest

public class JUnitTest
extends BaseTest

Author:
  Thomas Haas, Stefan Bodewig,, Stephane Bailliez

Fields inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`destDir, fork, formatters, haltOnError, haltOnFail, ifProperty, unlessProperty`

Constructor Summary
`JUnitTest()`
`JUnitTest(java.lang.String name)`
`JUnitTest(java.lang.String name, boolean haltOnError, boolean haltOnFailure)`

Method Summary
`long` | `errorCount()`
`long` | `failureCount()`
`FormatterElement[]` | `getFormatters()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOutfile()`
`long` | `getRunTime()`
`long` | `runCount()`
`void` | `setCounts(long runs, long failures, long errors)`
`void` | `setName(java.lang.String value)`
`void` | `setOutfile(java.lang.String value)`
`void` | `setRunTime(long runTime)`
`boolean` | `shouldRun(Project p)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.BaseTest
`addFormatter, getFork, getHaltonerror, getHaltonfailure, getTodir, setFork, setHaltonerror, setHaltonfailure, setIf, setTodir, setUnless`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnitTest

    public JUnitTest()

### JUnitTest

    public JUnitTest(java.lang.String name)

### JUnitTest

    public JUnitTest(java.lang.String name,
                     boolean haltOnError,
                     boolean haltOnFailure)

Method Detail

### setName

    public void setName(java.lang.String value)

### setOutfile

    public void setOutfile(java.lang.String value)

### getName

    public java.lang.String getName()

### getOutfile

    public java.lang.String getOutfile()

  Returns:
    the name of the output file.

### setCounts

    public void setCounts(long runs,
                          long failures,
                          long errors)

### setRunTime

    public void setRunTime(long runTime)

### runCount

    public long runCount()

### failureCount

    public long failureCount()

### errorCount

    public long errorCount()

### getRunTime

    public long getRunTime()

### shouldRun

    public boolean shouldRun(Project p)

### getFormatters

    public FormatterElement[] getFormatters()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.